> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylead.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Universes

> Returns the list of all PayLead Merchant universes.
This list contains nested universes, e.g. "Alimentation", which cointains "Supermarché", "Boucher/Poissonnier", "Boulanger" etc...
Each universe has a unique UUID, and this UUID should be used for calling the API when filtering or querying on specific universes.




## OpenAPI

````yaml /program/api/openapi/legacy/1.1.11/connector.json get /universes
openapi: 3.0.2
info:
  description: >
    ## Welcome to PayLead API Documentation !

    With this documentation, we will help you go through the phases of

    basic implementation, and help you understand the basic steps to let you
    reach your objectives through our API.

    ## Versioning

    Our API supports versioning, so be sure to set the right version in the
    header, using the Client-Api-Version field :


    ex : X-Api-Version = 1.0.0

    ## Response code

    Our API returns standard HTTP response codes to indicate success or failure
    of the API requests. For

    errors, we also return a customized error message inside the JSON response.
    You can see the returned

    HTTP status codes below.


    |Code|Title|Description

    |------|------|------|

    |200|OK|Request successful

    |201|Created|Resource successfully created

    |204|No Content|Request successful with no content returned

    |400|Bad Request|Request was unacceptable

    |401|Unauthorised|API key provided is invalid

    |402|Request Failed|Valid parameters but the request failed

    |403|Forbidden|Access is forbidden.

    |404|Not Found|Resource does not exist

    |409|Conflict|The request could not be completed due to a conflict with the
    current state of the target resource

    |429|Too Many Requests|The user has sent too many requests in a given amount
    of time ("rate limiting").

    |500, 502, 503, 504|Server Errors|Something went wrong with the PayLead API


    ## Error handling

    In case of error our API returns errors based on JSON API principles,
    especially for 4xx errors.

    An error response contains an unique id which can be used for investigation.

    In addition, you will find a message explaining the error, a readable code
    and a meta object containing more details.


    You can see an example below.


    >> ~~~~

    >> {

    >>     'errors': {

    >>             'target_account': [

    >>                 {

    >>                 'code': 'FORMAT_ERROR',

    >>                 'message': 'Invalid IBAN; it should be 4-34 characters,
    only upper-case letters and digits.',

    >>                 'meta': {

    >>                     'value': 'SOME-INVALID-IBAN'

    >>                 }

    >>             }

    >>         ]

    >>     },

    >>     'id': '784db0c2-0e87-40d4-aa62-3e801135ccf7'

    >> }

    >> ~~~~

    ## Language — Content Negotiation

    If your program has been configured to support multiple languages, the API
    will respect the `Accept-Language` header as defined in
    [RFC7231](https://tools.ietf.org/html/rfc7231#section-5.3.5).


    For each incoming request, the best language will be selected by matching
    the list of languages accepted by the client with the list of languages
    supported by the program.


    For example, with a header of `Accept-Language: fr-FR,en-GB;q=0.8,en;q=0.3`:

      * If supported languages are `fr-FR, en-GB`, the best match is `fr-FR`;
      * If supported languages are `en-GB, fr-FR`, the best match is `fr-FR`;
      * If supported languages are `fr-BE, nl-BE`, the best match is `fr-BE`;
      * If supported languages are `it-IT, en-US`, the best match is `en-US`;
      * If supported languages are `de-CH, it-CH`, the best match is `de-CH`.


    The selected language will be exposed through the `Content-Language` header.


    *Note:* If some fields haven't been translated yet, they will be returned in
    the program's primary language.
  title: PayLead API
  version: 1.1.11
servers:
  - url: https://api.sandbox.paylead.tech
security:
  - ApiKeyAuth: []
paths:
  /universes:
    get:
      tags:
        - Universe
      summary: Get Universes
      description: >
        Returns the list of all PayLead Merchant universes.

        This list contains nested universes, e.g. "Alimentation", which
        cointains "Supermarché", "Boucher/Poissonnier", "Boulanger" etc...

        Each universe has a unique UUID, and this UUID should be used for
        calling the API when filtering or querying on specific universes.
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ConsumerUniverseWithLogo'
                type: array
          description: OK
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Not allowed to access the resource
        '404':
          description: Not found
        '405':
          description: Method not allowed
        '422':
          description: Unprocessable Entity
components:
  schemas:
    ConsumerUniverseWithLogo:
      properties:
        children:
          description: Children universes of the current universe (nested objects)
          items:
            $ref: '#/components/schemas/ConsumerUniverse'
          nullable: true
          readOnly: true
          type: array
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          readOnly: true
          type: string
        logo:
          anyOf:
            - $ref: '#/components/schemas/Image'
            - nullable: true
              type: object
        name:
          description: Name of the object
          nullable: true
          readOnly: true
          type: string
        parent_id:
          description: 'UUID : unique ID of the parent of the object'
          example: 5c5e6d04-9dfc-46b8-9432-7c977f1dca23
          format: uuid
          nullable: true
          readOnly: true
          type: string
      type: object
    ConsumerUniverse:
      properties:
        children:
          description: Children universes of the current universe (nested objects)
          items:
            $ref: '#/components/schemas/ConsumerUniverse'
          nullable: true
          readOnly: true
          type: array
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          readOnly: true
          type: string
        name:
          description: Name of the object
          nullable: true
          readOnly: true
          type: string
        parent_id:
          description: 'UUID : unique ID of the parent of the object'
          example: 5c5e6d04-9dfc-46b8-9432-7c977f1dca23
          format: uuid
          nullable: true
          readOnly: true
          type: string
      type: object
    Image:
      properties:
        content_type:
          description: Content type of the file
          type: string
        created_at:
          description: Object creation datetime
          example: '2019-01-31T15:16:15.523309+00:00'
          format: date-time
          nullable: true
          readOnly: true
          type: string
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          type: string
        links:
          $ref: '#/components/schemas/Links'
        name:
          description: Name of the object
          type: string
        owner:
          description: ID of the uploader of the file
          format: uuid
          nullable: true
          type: string
        path:
          description: Path of the image file
          nullable: true
          readOnly: true
          type: string
      type: object
    Links:
      properties:
        download:
          description: The link to download the data.
          format: url
          type: string
        preview:
          description: The link to preview the data.
          format: url
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````